%global systemd_unit gnome-remote-desktop.service
%bcond_with rbd

Summary:       GNOME Remote Desktop screen share service
Name:          gnome-remote-desktop
Version:       43.1
Release:       6%{?dist}
License:       GPLv2+
URL:           https://gitlab.gnome.org/GNOME/gnome-remote-desktop
Source0:       https://download.gnome.org/sources/%{name}/43/%{name}-%{version}.tar.xz

Patch3000:     gnutls-anontls.patch

BuildRequires: asciidoc gcc meson systemd-rpm-macros pkgconfig(cairo)
BuildRequires: pkgconfig(epoxy) pkgconfig(gbm) pkgconfig(glib-2.0) pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gnutls) pkgconfig(gudev-1.0) pkgconfig(libdrm) pkgconfig(libnotify)
BuildRequires: pkgconfig(libpipewire-0.3) pkgconfig(libsecret-1) pkgconfig(libvncserver) pkgconfig(systemd)
BuildRequires: pkgconfig(xkbcommon) pkgconfig(tss2-esys) pkgconfig(tss2-mu) pkgconfig(tss2-rc) pkgconfig(tss2-tctildr)
%if 0%{with rbd}
BuildRequires: pkgconfig(ffnvcodec) pkgconfig(fdk-aac) pkgconfig(freerdp2) pkgconfig(fuse3) pkgconfig(winpr2)
%endif
Requires:      pipewire

%description
GNOME Remote Desktop is a remote desktop and screen sharing service for the GNOME desktop environment.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson \
%if 0%{with rbd}
    -Drdp=true \
    -Dfdk_aac=true \
%else
    -Drdp=false \
    -Dfdk_aac=false \
%endif
    -Dsystemd=true \
    -Dvnc=true
%meson_build

%install
%meson_install

%find_lang %{name}

%post
%systemd_user_post %{systemd_unit}

%preun
%systemd_user_preun %{systemd_unit}

%postun
%systemd_user_postun_with_restart %{systemd_unit}

%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/grdctl
%{_libexecdir}/gnome-remote-desktop-daemon
%{_userunitdir}/%{systemd_unit}
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.remote-desktop.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.remote-desktop.enums.xml
%if 0%{with rbd}
%{_datadir}/gnome-remote-desktop/
%endif
%{_mandir}/man1/grdctl.1*

%changelog
* Tue Nov 21 2023 cunshunxia@tencent.com - 43.1-6
- Rebuilt for pipewire 0.3.85

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 cunshunxia <cunshunxia@tencent.com> - 43.1-4
- Rebuilt for tpm2-tss 4.0.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 Shuo Wang <abushwang@tencent.com> - 43.1-1
- initial build
